# Generated from pragma_studio_game-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pragma_studio_game

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: A fun, and entirely random, text-based game
License: MIT
URL: http://kamilamatla.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9
# BuildRequires: rubygem(rspec) >= 2.8.0
# BuildRequires: rubygem(rspec) >= 2.8
# BuildRequires: rubygem(rspec) < 3
BuildArch: noarch

%description
Studio Game is a simple text-based, fully random game.
To install the gem, run `gem install pragma_studio_game-1.0.0.gem`.
To play, run `studio_game` and choose the number of rounds. The players will
be loaded from the `bin/players.csv` file.
If you want to load your own players, pass the path as an argument to the
`studio_game. 
Players should be provided with their names and health value, comma separated.
At the end of the game, high scores will be sorted and written to the
`high_scores.txt` file.
To quit any time, type in `quit` or `exit`.
To uninstall the gem, run `gem uninstall studio_game`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/studio_game
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.0-1
- Initial package
